about summary refs log tree commit diff stats
diff options
context:
space:
mode:
authortoonn <toonn@toonn.io>2022-03-18 18:55:00 +0100
committertoonn <toonn@toonn.io>2022-03-18 19:37:34 +0100
commit715b5aa0bc42fab32bf0389b971149280e54b594 (patch)
treeb1e95611c8f9578bee8ce2ce2e5924f66e6a5f21
parentbdd90a730d0ca3e26376dc1247a6f5fc29011b4d (diff)
downloadranger-715b5aa0bc42fab32bf0389b971149280e54b594.tar.gz
scope: Fix draw.io width and enable by default
-rwxr-xr-xranger/data/scope.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/ranger/data/scope.sh b/ranger/data/scope.sh
index 003ce65b..5e0e66ac 100755
--- a/ranger/data/scope.sh
+++ b/ranger/data/scope.sh
@@ -274,10 +274,10 @@ handle_image() {
        # 3mf|amf|dxf|off|stl)
        #     openscad_image <(echo "import(\"${FILE_PATH}\");") && exit 6
        #     ;;
-       # drawio)
-       #     draw.io -x "${FILE_PATH}" -o "${IMAGE_CACHE_PATH}" --width 1920 && exit 6
-       #     exit 1;;
-
+       drawio)
+           draw.io -x "${FILE_PATH}" -o "${IMAGE_CACHE_PATH}" \
+               --width "${DEFAULT_SIZE%x*}" && exit 6
+           exit 1;;
     esac
 }